#include "video.h"
#define         VIDEOREG        0xa05f8000
#define         WIDTH           640
#define         HEIGH           480

void init_video()
{
	unsigned long *reg=(unsigned long *)VIDEOREG;

	//Inicializamos
	*(reg+0x40/4)=0x00000000;       //border color
	*(reg+0x44/4)=0xd;              //Display mode rgb888
	*(reg+0x50/4)=0;                //videobase1
	*(reg+0x54/4)=WIDTH<<2;         //videobase2
	*(reg+0x5c/4)=((WIDTH+1)<<20) | ((HEIGH/2)<<10) | (WIDTH-1); //Display size
	*(reg+0xd0/4)=0x150;            //Output PAL
	*(reg+0xd8/4)=(624<<16)|863;    //tamao PAL

	*(reg+0xec/4)=0x000000a4;       //Horizontal Offset
	//*(reg+0xf0/4)=(30<<16)|30;      //Vertical Offset
	*(reg+0xf0/4)=(40<<16)|40;
}

