#include "minilibc.h"
#include "scif.h"

void *memcpy(void *dest, const void *src, int n)
{
	char *pd,*ps;
	int i;
	
	pd=(char *)dest;
	ps=(char *)src;
	i=n;
	for (;n;n--) *pd++=*ps++;
}

char * strstr(char *searchee, char *lookfor)
{
  if (*searchee == 0)
    {
      if (*lookfor)
	return (char *) NULL;
      return (char *) searchee;
    }

  while (*searchee)
    {
      int i;
      i = 0;

      while (1)
	{
	  if (lookfor[i] == 0)
	    {
	      return (char *) searchee;
	    }

	  if (lookfor[i] != searchee[i])
	    {
	      break;
	    }
	  i++;
	}
      searchee++;
    }

  return (char *) NULL;
}

char *strncpy(char *dst, char *src, int n)
{
  char *dscan;
  char *sscan;
  int count;

  dscan = dst;
  sscan = src;
  count = n;
  while (count > 0)
    {
      --count;
      if ((*dscan++ = *sscan++) == '\0')
	break;
    }
  while (count-- > 0)
    *dscan++ = '\0';

  return dst;
}

int strlen(char *p)
{
	int i=0;
	while (*p++) i++;
	return i;
}

unsigned int abs(int dato)
{
	return (dato>=0)?dato:-dato;
}


unsigned int next_rand;
int rand()
{
	next_rand = next_rand * 1103515245 + 12345;
	return ((next_rand >> 16) & 0x7fff);
}

void srand(unsigned int i)
{
	next_rand=i;
}

char *prtnum(char *st,int n,int ndig)
{
	char buf[16],*p;

        p=&buf[16];
        *(--p)=0;
        //*(--p)='\n';
        do {
                *(--p)='0'+(n%10);
                n/=10;
                ndig--;
        } while (n);
        for (;ndig;ndig--) *(--p)='0';

        while (*p) *st++=*p++;
        return st;
}

